<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Vector2 Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#9785bfabcea2d2fad738571f5c7c106f">crossProduct</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#864971e600fa97e95a295cb5f2c2f16d">dotProduct</a>(const Vector2 &amp;vec) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#1946e867aa921f61de967cf244774531">isZeroLength</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#37afa7257464098c518321ddf438f1a9">length</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#408be4c5539e93a4272e05249bafe0be">makeCeil</a>(const Vector2 &amp;cmp)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#946495c4a55e1f8048aab6920bf0ac9f">makeFloor</a>(const Vector2 &amp;cmp)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#d79868b92edb2c5187d8b11387010a7d">midPoint</a>(const Vector2 &amp;vec) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#52e8d29732eacdeb87d20a3372382590">NEGATIVE_UNIT_X</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#95486d3e0b884791be22f16d2bb3a4cb">NEGATIVE_UNIT_Y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#108e27e1f8c56023377347b661cf067c">normalise</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#735f0406c751af9b3ac79c855301e466">normalisedCopy</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#4fdaaf501796c450d0671d41b4dafbe5">operator *</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#5d47fb57acc7ae2bf36d29230b1cda1b">operator *</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#7c810d71937917b48aa28409ecd2fb3f">operator *</a>(const Real fScalar, const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#710343631b9a695d34fa0dac9231373f">operator *=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ee92fb485741750ff9c1de5c5d94f602">operator *=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#f8a82d880cf79a247d4eb8a70f61702f">operator!=</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#806a988c00ef4351b8e6d534bd0f09b6">operator+</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#f22ae1e752951b66f3c3ef59134f1dfc">operator+</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#3ffc15c2ad86866acd071c0748126fbb">operator+</a>(const Vector2 &amp;lhs, const Real rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#67176f44a1c406e85fe12787373ef377">operator+</a>(const Real lhs, const Vector2 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ac6485bd52d65876c6d625f0dbbf634b">operator+=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#7d85454520d16e1737be3d79b6950d39">operator+=</a>(const Real fScaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#b00bb30f312804b9eeedb8c8816da88b">operator-</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#aebb1a9a4be8649241189c6ff02d170c">operator-</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ed2661adf58895a08a1b38054d8d5743">operator-</a>(const Vector2 &amp;lhs, const Real rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#6d976cf52f54a51f4b42ef31c3bede89">operator-</a>(const Real lhs, const Vector2 &amp;rhs)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a4e5a79a3880c71499ea5c6fc3709151">operator-=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#db77e6fdba8c5a6a55b6c53f16a2cf5f">operator-=</a>(const Real fScaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#c22564f2426d1feaf991373d70ee2ba6">operator/</a>(const Real fScalar) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#0832212595e63003914ab30c2020149b">operator/</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#51c18bb1a1071f8078084cb968ddb5d2">operator/</a>(const Real fScalar, const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#5ee66b093d0a415c57e7918523cabeaf">operator/=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#181745a04b7b95bffc331fd9a4519931">operator/=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a756107b53717cfa38efec9e0840f630">operator&lt;</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#f2c1dcbb14e9404733990cdbb2b2d747">operator&lt;&lt;</a>(std::ostream &amp;o, const Vector2 &amp;v)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#94d813e76f805306436e19a785e75a26">operator=</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#057b23bf29fadca9f2a4f0ff19a9bf61">operator=</a>(const Real fScalar)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#4404d6cdc32ecbc7d1b4ff5bc247d68a">operator==</a>(const Vector2 &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#a66f1e244af12ef400f1cc416b408e19">operator&gt;</a>(const Vector2 &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#71b01bfe42118ef067e14e1092e7773f">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ae029eb05f9ab47565e5b47bb2ee9d91">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ea8cb94f0258c7b8f204588f05d7d0f0">perpendicular</a>(void) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#307ca54d90a1a35b54a5416810681b3a">ptr</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#d72265d712677a9d628f0231c2e7c460">ptr</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#bf1030549182b8fcf19def12e2706e6f">randomDeviant</a>(Real angle) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#ffe288cd3a7424b7fdb0ae34b2ddf807">reflect</a>(const Vector2 &amp;normal) const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#cf2cf937351e108feb474e01d2c982a2">squaredLength</a>() const </td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#165a67053e61b0733746453ce9ee5edb">UNIT_SCALE</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#1c2d210b2756d07375b0cf9f01835496">UNIT_X</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#d20c8c58c9345a71743416bad82cb5e3">UNIT_Y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#54198b2714496715f6f9ec24c1194cad">Vector2</a>()</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#157950d8cbe0e44a2271479a4f8bcdab">Vector2</a>(const Real fX, const Real fY)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#1c2a513e68d4e223135a5d891a569501">Vector2</a>(const Real scaler)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#6f05ab5b82a5dd3f191e388d4a734614">Vector2</a>(const Real afCoordinate[2])</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#c04fe07fceec444e2a13b0195bcb2c64">Vector2</a>(const int afCoordinate[2])</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#df501af1ce3df540dee7953ddb32cb51">Vector2</a>(Real *const r)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#3578c5fd9c51469fff590dc15f62abf8">Vector2</a>(const Vector2 &amp;rkVector)</td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#f3eb55ba6d289477e9aa52b8de341380">x</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#d486a13367b71ce0f4c6782297be9725">y</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Vector2.html#70fef72151781ad0174a004a8b6b3acc">ZERO</a></td><td><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:04 2008
</p>
</body>
</html>
